## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.5.0
%bcond_without check

# https://github.com/quay/claircore
%global goipath         github.com/quay/claircore
Version:                0.5.4

%gometa

%global common_description %{expand:
Foundation modules for scanning container packages and reporting
vulnerabilities.}

%global golicenses      LICENSE
%global godocs          docs README.md CHANGELOG.md .chglog/CHANGELOG.tpl.md

Name:           %{goname}
Release:        %autorelease
Summary:        Foundation modules for scanning container packages and reporting vulnerabilities

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         Use-new-opentelemetry-attribute.patch

BuildRequires:  golang(github.com/aquasecurity/go-dep-parser/pkg/java/jar)
BuildRequires:  golang(github.com/aquasecurity/go-pep440-version)
BuildRequires:  golang(github.com/crgimenes/goconfig)
BuildRequires:  golang(github.com/docker-slim/docker-slim/pkg/docker/dockerfile/ast)
BuildRequires:  golang(github.com/doug-martin/goqu/v8)
BuildRequires:  golang(github.com/doug-martin/goqu/v8/dialect/postgres)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-containerregistry/pkg/authn)
BuildRequires:  golang(github.com/google/go-containerregistry/pkg/name)
BuildRequires:  golang(github.com/google/go-containerregistry/pkg/v1/remote)
BuildRequires:  golang(github.com/google/go-containerregistry/pkg/v1/remote/transport)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/jackc/pgtype)
BuildRequires:  golang(github.com/jackc/pgx/v4)
BuildRequires:  golang(github.com/jackc/pgx/v4/log/testingadapter)
BuildRequires:  golang(github.com/jackc/pgx/v4/pgxpool)
BuildRequires:  golang(github.com/jackc/pgx/v4/stdlib)
BuildRequires:  golang(github.com/klauspost/compress/gzip)
BuildRequires:  golang(github.com/klauspost/compress/zstd)
BuildRequires:  golang(github.com/knqyf263/go-apk-version)
BuildRequires:  golang(github.com/knqyf263/go-deb-version)
BuildRequires:  golang(github.com/knqyf263/go-rpm-version)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promauto)
BuildRequires:  golang(github.com/quay/alas)
BuildRequires:  golang(github.com/quay/goval-parser/oval)
BuildRequires:  golang(github.com/quay/zlog)
BuildRequires:  golang(github.com/remind101/migrate)
BuildRequires:  golang(github.com/rs/zerolog)
BuildRequires:  golang(github.com/rs/zerolog/log)
BuildRequires:  golang(github.com/ulikunitz/xz)
BuildRequires:  golang(go.opentelemetry.io/otel-0.20/baggage)
BuildRequires:  golang(go.opentelemetry.io/otel-0.20/attribute)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/sync/semaphore)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(gopkg.in/yaml.v3)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
sed -i 's|"github.com/aquasecurity/go-dep-parser/pkg/jar|"github.com/aquasecurity/go-dep-parser/pkg/java/jar|' $(find . -iname "*.go" -type f)

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -t internal/indexer -d rhel
%endif

%files
%license LICENSE
%doc docs README.md CHANGELOG.md .chglog/CHANGELOG.tpl.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Sep 18 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.5.4-1
- Uncommitted changes

* Sat Sep 18 2021 Robert-André Mauchin <zebob.m@gmail.com> None-1
- Initial release
